* *********************************************************
* Question 10.2 for Friberg: "Managing risk and uncertainty" 
* stata do-file
***********************************************************

clear
cd "C:\Users\nerf\Documents\forskning\aktiva\risk_uncertainty_book\exercizes\ch10" /*replace this with your own directory where data is stored*/
* profit given by (10-q)q-sq-Fixed cost
* benchmark quantity preset and flex set ex post
* optimal quantity in case B: q_b=(2-E(s))/2
* optimal quantity in case F: q_f=(2-s)/2

quietly set obs 10000
set seed 23805  /* for generating random numbers - nr of the bill in my wallet*/

* first generate draws on s 
gen s=rnormal(1,0.2)
hist s
sum s, detail
egen es=mean(s)

* consider profits in the two cases as function of s
gen q_b=(2-es)/2
gen q_f=(2-s)/2
gen prof_b=(2-q_b)*q_b-s*q_b
gen prof_f=(2-q_f)*q_f-s*q_f
twoway kdensity prof_b||kdensity prof_f, lpattern(dash)  /*do density figures*/
sum prof_b prof_f, detail
sort s
twoway scatter prof_b s||scatter prof_f s, lpattern(dash) /*do figure of curvature*/


