************************************************************
* Question 9.2 for Friberg: "Managing risk and uncertainty" 
* stata do-file
* Question is inspired by Appendix 9C
************************************************************
clear
cd "C:\Users\nerf\Documents\forskning\aktiva\risk_uncertainty_book\exercizes\ch9" /*replace this with your own directory where data is stored*/
quietly set obs 10000
set seed 23805  /* for generating random numbers - nr of the bill in my wallet*/

* first generate draws on s and the A's
gen am=-0.02+(0.02--0.02)*runiform()   /*generate random numbers with uniform distribution between -10 and 10*/
gen af=-0.07+(0.07--0.07)*runiform()      /* likewise for af, but narrower range*/
gen s=rnormal(1,0.2)
hist s
sum s, detail
gen alfa=2
gen c=1

* a) without a
gen prof_m_noa=s*((alfa-c)/2)^2
gen prof_f_noa=s^2/4
sum prof_m_noa prof_f_noa, detail
twoway kdensity prof_m_noa||kdensity prof_f_noa, lpattern(dash)

* b) with a
gen prof_m=s*((alfa-c)/2)^2+am
gen prof_f=s^2/4+af
sum prof_m prof_f, detail
twoway kdensity prof_m||kdensity prof_f, lpattern(dash)
